VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo:
[legend]

## Public Member Functions

| PipelineDynamicStateCreateInfo (PipelineDynamicStateCreateFlags flags_=PipelineDynamicStateCreateFlags(), uint32_t dynamicStateCount_=0, const DynamicState *pDynamicStates_=nullptr)
| PipelineDynamicStateCreateInfo (VkPipelineDynamicStateCreateInfo const &rhs)
PipelineDynamicStateCreateInfo & | operator= (VkPipelineDynamicStateCreateInfo const &rhs)
PipelineDynamicStateCreateInfo & | setPNext (const void *pNext_)
PipelineDynamicStateCreateInfo & | setFlags (PipelineDynamicStateCreateFlags flags_)
PipelineDynamicStateCreateInfo & | setDynamicStateCount (uint32_t dynamicStateCount_)
PipelineDynamicStateCreateInfo & | setPDynamicStates (const DynamicState *pDynamicStates_)
| operator VkPipelineDynamicStateCreateInfo const & () const
| operator VkPipelineDynamicStateCreateInfo & ()
bool | operator== (PipelineDynamicStateCreateInfo const &rhs) const
bool | operator!= (PipelineDynamicStateCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineDynamicStateCreateFlags | flags
uint32_t | dynamicStateCount
const DynamicState * | pDynamicStates

## Private Attributes

StructureType | sType = StructureType::ePipelineDynamicStateCreateInfo

## Detailed Description

Definition at line 21311 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineDynamicStateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::PipelineDynamicStateCreateInfo | ( | PipelineDynamicStateCreateFlags | flags_ = `PipelineDynamicStateCreateFlags()`,
|  | uint32_t | dynamicStateCount_ = `0`,
|  | const DynamicState * | pDynamicStates_ = `nullptr`
| ) |  |

inline

Definition at line 21313 of file vulkan.hpp.

: flags( flags_ )
, dynamicStateCount( dynamicStateCount_ )
, pDynamicStates( pDynamicStates_ )
{
}

## PipelineDynamicStateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::PipelineDynamicStateCreateInfo | ( | VkPipelineDynamicStateCreateInfo const & | rhs | ) |

inline

Definition at line 21322 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineDynamicStateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineDynamicStateCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::operator VkPipelineDynamicStateCreateInfo & | ( |  | ) |

inline

Definition at line 21361 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineDynamicStateCreateInfo*>(this);
}

## operator VkPipelineDynamicStateCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::operator VkPipelineDynamicStateCreateInfo const & | ( |  | ) | const

inline

Definition at line 21356 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineDynamicStateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::operator!= | ( | PipelineDynamicStateCreateInfo const & | rhs | ) | const

inline

Definition at line 21375 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineDynamicStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::operator= | ( | VkPipelineDynamicStateCreateInfo const & | rhs | ) |

inline

Definition at line 21327 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineDynamicStateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::operator== | ( | PipelineDynamicStateCreateInfo const & | rhs | ) | const

inline

Definition at line 21366 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( dynamicStateCount == rhs.dynamicStateCount )
&& ( pDynamicStates == rhs.pDynamicStates );
}

References dynamicStateCount, flags, pDynamicStates, pNext, and sType.

Referenced by operator!=().

## setDynamicStateCount()

PipelineDynamicStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::setDynamicStateCount | ( | uint32_t | dynamicStateCount_ | ) |

inline

Definition at line 21344 of file vulkan.hpp.

{
dynamicStateCount = dynamicStateCount_;
return *this;
}

References dynamicStateCount.

## setFlags()

PipelineDynamicStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::setFlags | ( | PipelineDynamicStateCreateFlags | flags_ | ) |

inline

Definition at line 21338 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPDynamicStates()

PipelineDynamicStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::setPDynamicStates | ( | const DynamicState * | pDynamicStates_ | ) |

inline

Definition at line 21350 of file vulkan.hpp.

{
pDynamicStates = pDynamicStates_;
return *this;
}

References pDynamicStates.

## setPNext()

PipelineDynamicStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 21332 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## dynamicStateCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::dynamicStateCount

Definition at line 21386 of file vulkan.hpp.

Referenced by operator==(), and setDynamicStateCount().

## flags

PipelineDynamicStateCreateFlags VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::flags

Definition at line 21385 of file vulkan.hpp.

Referenced by operator==().

## pDynamicStates

const DynamicState* VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::pDynamicStates

Definition at line 21387 of file vulkan.hpp.

Referenced by operator==(), and setPDynamicStates().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::pNext = nullptr

Definition at line 21384 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::sType = StructureType::ePipelineDynamicStateCreateInfo

private

Definition at line 21381 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::flags
PipelineDynamicStateCreateFlags flags
Definition: vulkan.hpp:21385
VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:21381
VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::PipelineDynamicStateCreateInfo
PipelineDynamicStateCreateInfo(PipelineDynamicStateCreateFlags flags_=PipelineDynamicStateCreateFlags(), uint32_t dynamicStateCount_=0, const DynamicState *pDynamicStates_=nullptr)
Definition: vulkan.hpp:21313
VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::dynamicStateCount
uint32_t dynamicStateCount
Definition: vulkan.hpp:21386
VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::operator==
bool operator==(PipelineDynamicStateCreateInfo const &rhs) const
Definition: vulkan.hpp:21366
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::pDynamicStates
const DynamicState * pDynamicStates
Definition: vulkan.hpp:21387
VULKAN_HPP_NAMESPACE::PipelineDynamicStateCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:21384
VkPipelineDynamicStateCreateInfo
Definition: vulkan_core.h:2454
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480